Xapian: API Documentation: Xapian::ExpandDeciderAnd Class Reference

xapian-core 1.4.22

Public Member Functions | List of all members
Xapian::ExpandDeciderAnd Class Reference

ExpandDecider subclass which rejects terms using two ExpandDeciders. More...

`#include <expanddecider.h>`

Inheritance diagram for Xapian::ExpandDeciderAnd:
[legend]

## Public Member Functions
| ExpandDeciderAnd (const ExpandDecider &first_, const ExpandDecider &second_)
| Terms will be checked with first, and if accepted, then checked with second. More...
| ExpandDeciderAnd (const ExpandDecider *first_, const ExpandDecider *second_)
| Compatibility method. More...
virtual bool | operator() (const std::string &term) const
| Do we want this term in the ESet? More...
Public Member Functions inherited from Xapian::ExpandDecider
| ExpandDecider ()
| Default constructor.
virtual bool | operator() (const std::string &term) const =0
| Do we want this term in the ESet? More...
virtual | ~ExpandDecider ()
| Virtual destructor, because we have virtual methods.
ExpandDecider * | release ()
| Start reference counting this object. More...
const ExpandDecider * | release () const
| Start reference counting this object. More...

## Detailed Description

ExpandDecider subclass which rejects terms using two ExpandDeciders.

Terms are only accepted if they are accepted by both of the specified ExpandDecider objects.

## Constructor & Destructor Documentation

## ◆ ExpandDeciderAnd() [1/2]

Xapian::ExpandDeciderAnd::ExpandDeciderAnd | ( | const ExpandDecider & | first_,
|  | const ExpandDecider & | second_
| ) |  |
| inline

Terms will be checked with first, and if accepted, then checked with second.

Parameters

  first_ | First ExpandDecider object to test with.
  second_ | ExpandDecider object to test with if first_ accepts.

## ◆ ExpandDeciderAnd() [2/2]

Xapian::ExpandDeciderAnd::ExpandDeciderAnd | ( | const ExpandDecider * | first_,
|  | const ExpandDecider * | second_
| ) |  |
| inline

Compatibility method.

Parameters

  first_ | First ExpandDecider object to test with.
  second_ | ExpandDecider object to test with if first_ accepts.

## Member Function Documentation

## ◆ operator()()

virtual bool Xapian::ExpandDeciderAnd::operator() | ( | const std::string & | term | ) | const
| virtual

Do we want this term in the ESet?

Parameters

  term | The term to test.

Implements Xapian::ExpandDecider.

The documentation for this class was generated from the following file:

- xapian/expanddecider.h